MetaSoul

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MyLibrary::SubclassExample< TemplatedClass > Class Template Reference

some subclass More...

`#include <subclass-example.hpp>`

Inheritance diagram for MyLibrary::SubclassExample< TemplatedClass >:

## Public Member Functions
int | virtualfunc () override
template<typename T >
std::shared_ptr< std::string > | function_template_test (std::shared_ptr< T > &param)
| Template function function.
template<typename T , typename Foo , typename Bar , typename Alice , typename Bob , typename Charlie , typename Hello , typename World >
std::pair< std::string, std::string > | long_function_with_many_parameters (std::shared_ptr< T > &param1, std::shared_ptr< std::string > &param2, bool parameter3, Alice paramater4 Bob parameter 5)
| Extra long function with lots of parameters and many template types.
Public Member Functions inherited from MyLibrary::Example
std::string | test (const std::string &test)
| brief summary

## Additional Inherited Members
Static Public Member Functions inherited from MyLibrary::Example
static bool | staticfunc ()

## Detailed Description

template<typename TemplatedClass>
class MyLibrary::SubclassExample< TemplatedClass >

some subclass

## Member Function Documentation

## ◆ function_template_test()

template<typename TemplatedClass >
template<typename T >

std::shared_ptr< std::string > MyLibrary::SubclassExample< TemplatedClass >::function_template_test | ( | std::shared_ptr< T > & | param | ) |

Template function function.

## ◆ long_function_with_many_parameters()

template<typename TemplatedClass >
template<typename T , typename Foo , typename Bar , typename Alice , typename Bob , typename Charlie , typename Hello , typename World >

std::pair< std::string, std::string > MyLibrary::SubclassExample< TemplatedClass >::long_function_with_many_parameters | ( | std::shared_ptr< T > & | param1,
|  | std::shared_ptr< std::string > & | param2,
|  | bool | parameter3,
|  | Alice paramater4 Bob parameter | 5 )
| inline

Extra long function with lots of parameters and many template types.

Also has a long return type.

Parameters

  param1 | first parameter
  param2 | second parameter
  parameter3 | third parameter

## ◆ virtualfunc()

template<typename TemplatedClass >

int MyLibrary::SubclassExample< TemplatedClass >::virtualfunc | ( |  | ) |
| override virtual

Bug
  second bug

Returns

Implements MyLibrary::Example.

The documentation for this class was generated from the following file:

- doxygen-awesome-css/include/MyLibrary/subclass-example.hpp